/**************************************************************
  (C) 1997 by Achim Kaiser

  You may distribute under the terms of the GNU General Public
  License as specified in the COPYING file.
**************************************************************/

#ifndef ICONMANAGER_H
#define ICONMANAGER_H

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/xpm.h>
#include <X11/cursorfont.h>

struct item *GetDirentryFromWindow(Window win);

void SetBestPosition(struct item *direntry,int sx,int sy);

void NewIcon(char *filename,char *orginal,int x,int y,int iconnr);

void EraseIcon(char *filename);

void MakeWindowIcons();

Window LowerIcons();

void MakeWindowTree();

void SortIcons(int type);

void ArrangeIcons();

void UpdateWindow();

void UpdateIcons(int fast);

Window GetGreatestParent(Window w);

int HandleTheEvent(XEvent evnt);

void UnsetMarks();

void SetAllMarks();

#endif

